//
//  IAPModel.swift
//  AppleParty
//
//  Created by 易承 on 2020/12/1.
//

import Foundation

// 商品类型
func chargeType(ch: String) -> InAppPurchaseType {
    switch ch {
    case "消耗型":
        return .CONSUMABLE
    case "非消耗型":
        return .NON_CONSUMABLE
    case "非续订型":
        return .SUBSCRIPTION
    case "自动续订型":
        return .AUTO_RENEWABLE
    case "免费型":
        return .FREE_SUBSCRIPTION
    default:
        return .UNKNOW
    }
}

// 金额等级映射表
func levelChargeMoney(_ level: String) -> String {
    let levelList = ["6": "40", "62": "798", "66": "998", "46": "288", "25": "163", "28": "188", "75": "1498", "4": "25", "83": "3998", "57": "548", "23": "153", "86": "5898", "590": "30", "14": "93", "76": "1598", "85": "4998", "11": "73", "17": "113", "77": "1648", "32": "218", "43": "273", "31": "208", "68": "1098", "0": "0", "30": "198", "16": "108", "54": "448", "29": "193", "1": "6", "59": "618", "74": "1448", "10": "68", "58": "588", "52": "388", "510": "1", "550": "8", "19": "123", "34": "228", "80": "2598", "61": "698", "78": "1998", "13": "88", "9": "60", "72": "1298", "21": "138", "35": "233", "71": "1248", "82": "3298", "33": "223", "530": "3", "18": "118", "81": "2998", "56": "518", "50": "328", "79": "2298", "2": "12", "39": "253", "45": "283", "42": "268", "69": "1148", "87": "6498", "60": "648", "38": "248", "580": "28", "63": "818", "570": "18", "64": "848", "26": "168", "44": "278", "37": "243", "65": "898", "15": "98", "12": "78", "560": "12", "40": "258", "53": "418", "8": "50", "24": "158", "5": "30", "7": "45", "41": "263", "51": "348", "22": "148", "20": "128", "55": "488", "67": "1048", "3": "18", "47": "298", "70": "1198", "73": "1398", "27": "178", "48": "308", "84": "4498", "36": "238", "49": "318"]
    return levelList[level] ?? "0"
}

func chargeLevel(level: String) -> Int {
    if level.contains("A") {
        return 510
    }
    if level.contains("B") {
        return 530
    }
    if level.contains("备用1") {
        return 550
    }
    if level.contains("备用2") {
        return 560
    }
    if level.contains("备用3") {
        return 570
    }
    if level.contains("备用4") {
        return 580
    }
    if level.contains("备用5") {
        return 590
    }
    return int(from: level) ?? 0
}

